# ActionModel class Null safety

Implementers
  - FunctionToRun
  - GotoPage
  - InternalAction
  - OpenDialog
  - PopupMenu
  - SwitchApp

## Constructors

ActionModel(AppModel app, {DisplayConditionsModel? conditions, String? actionType})

## Properties

actionType → String?
  final
app → AppModel
  final
conditions ↔ DisplayConditionsModel?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

collectReferences({String? appId}) → dynamic
copyWith(AppModel newApp) → ActionModel
describe() → String
hasAccess(BuildContext context) → dynamic
message() → String
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toEntity({String? appId}) → ActionEntity
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromEntity(ActionEntity? entity) → dynamic
fromEntityPlus(ActionEntity? entity, {String? appId}) → dynamic